package math.kombi;

import java.math.BigInteger;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;


public class Kombi44 {
    public static void main(String[] args) {
        BigInteger k = new BigInteger("10");
        BigInteger n = new BigInteger("100");
        String x = "111";
        ExecutorService es = Executors.newFixedThreadPool(1);
        Future<BigInteger> f = null;
        System.out.println("Start");
        f = es.submit(new RXXX(k, n, x));
        try {
            System.out.println(f.get());
        } catch (InterruptedException | ExecutionException e) {
            e.printStackTrace();
        }
        es.shutdown();
        System.out.println("Koniec");
    }
}
